import type { ProjectSchemaJSON } from '../project-schema/index.ts';
import type { ResolvedTemplate } from './types.ts';
export declare function resolveTemplate(projectSchema: ProjectSchemaJSON, templateName: string, shapeName: string): ResolvedTemplate;
/**
 * Check if a string is a known template such as `PaginatedList`
 */
export declare function isValidTemplate(template: string): boolean;
